#
# Conditional build:
%bcond_without	doc

%define	pkgname	builder
Summary:	Simple builder to facilitate programatic generation of XML markup
Summary(pl.UTF-8):	Proste narzędzie do budowania ułatwiające programowe generowanie znaczników XML
Name:		ruby-%{pkgname}
Version:	3.0.0
Release:	4
License:	Ruby's
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	cf9d2693d684a749e35dda886c4dc23c
URL:		http://rubyforge.org/projects/builder
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
Conflicts:	ruby-activesupport < 3.0.0
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarc only because of ruby packaging
%define		_enable_debug_packages	0

%description
Simple builder to facilitate programatic generation of XML markup.

%description -l pl.UTF-8
Proste narzędzie do budowania ułatwiające programowe generowanie
znaczników XML.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with doc}
rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm -r ri/{BlankSlate,Fixnum,Kernel,Module,Object,String}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_rubylibdir}/blankslate.rb
%{ruby_rubylibdir}/builder
%{ruby_rubylibdir}/builder.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}
%endif

%if %{with doc}
%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Builder
%endif
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-builder.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9136ab7
- x32 rebuild
- release 4 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> bce8e94
- package gemspec
- rel 3

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> f7c890e
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> a3fd9c2
- bconds should be the very first thing, moved defines and includes after them

* Tue Nov 30 2010 aredridel <aredridel@pld-linux.org> d66fc80
- 3.0.0
- C: ruby-activesupport < 3.0.0

* Wed May 12 2010 sparky <sparky@pld-linux.org> bbf3756
- BR: ruby-modules
- better way to disable subpackages %files

* Fri Mar 19 2010 aredridel <aredridel@pld-linux.org> c9395e4
- bcond docs

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> fa0da78
- use gem source
- added ri package

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> b8f453d
- updated build process

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> e6bea4c
- rel 2

* Thu Jan 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 0e72051
- pl for -rdoc

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> dfe4efb
- rdoc subpackage, use tgz to build

* Thu Dec 13 2007 aredridel <aredridel@pld-linux.org> 222d04a
- 2.1.2

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> c752929
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ae182ea
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c038bf4
- converted to UTF-8

* Sun Dec 17 2006 aredridel <aredridel@pld-linux.org> d9a15ae
- don't build ri

* Thu Aug 10 2006 Jakub Bogusz <qboosh@pld-linux.org> cff8891
- pl, cleanup

* Tue Aug 08 2006 aredridel <aredridel@pld-linux.org> 3ce7192
- added

